Package org.kie.internal.utils

## Class KieHelper

- java.lang.Object
- - org.kie.internal.utils.KieHelper

-     public class KieHelper
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `org.kie.api.builder.KieFileSystem` | `kfs` |
    `org.kie.api.KieServices` | `ks` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KieHelper()` |
    `KieHelper​(KnowledgeBuilderOption... options)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `KieHelper` | `addContent​(java.lang.String content, java.lang.String name)` |
    `KieHelper` | `addContent​(java.lang.String content, org.kie.api.io.ResourceType type)` |
    `KieHelper` | `addContent​(org.kie.api.definition.KieDescr descr)` |
    `KieHelper` | `addFromClassPath​(java.lang.String name)` |
    `KieHelper` | `addFromClassPath​(java.lang.String name, java.lang.String encoding)` |
    `KieHelper` | `addResource​(org.kie.api.io.Resource resource)` |
    `KieHelper` | `addResource​(org.kie.api.io.Resource resource, org.kie.api.io.ResourceType type)` |
    `org.kie.api.KieBase` | `build​(java.lang.Class<? extends org.kie.api.builder.KieBuilder.ProjectType> projectType, org.kie.api.conf.KieBaseOption... options)` |
    `org.kie.api.KieBase` | `build​(java.lang.Class<? extends org.kie.api.builder.KieBuilder.ProjectType> projectType, org.kie.api.KieBaseConfiguration kieBaseConf)` |
    `org.kie.api.KieBase` | `build​(org.kie.api.conf.KieBaseOption... options)` |
    `org.kie.api.KieBase` | `build​(org.kie.api.KieBaseConfiguration kieBaseConf)` |
    `org.kie.api.runtime.KieContainer` | `getKieContainer()` |
    `org.kie.api.runtime.KieContainer` | `getKieContainer​(java.lang.Class<? extends org.kie.api.builder.KieBuilder.ProjectType> projectType)` |
    `KieHelper` | `setClassLoader​(java.lang.ClassLoader classLoader)` |
    `KieHelper` | `setKieModuleModel​(org.kie.api.builder.model.KieModuleModel kieModuleModel)` |
    `KieHelper` | `setReleaseId​(org.kie.api.builder.ReleaseId releaseId)` |
    `org.kie.api.builder.Results` | `verify()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ks

          public final org.kie.api.KieServices ks

    - #### kfs

          public final org.kie.api.builder.KieFileSystem kfs

  - ### Constructor Detail

    - #### KieHelper

          public KieHelper()

    - #### KieHelper

          public KieHelper​(KnowledgeBuilderOption... options)

  - ### Method Detail

    - #### build

          public org.kie.api.KieBase build​(org.kie.api.KieBaseConfiguration kieBaseConf)

    - #### build

          public org.kie.api.KieBase build​(org.kie.api.conf.KieBaseOption... options)

    - #### build

          public org.kie.api.KieBase build​(java.lang.Class<? extends org.kie.api.builder.KieBuilder.ProjectType> projectType,
                                           org.kie.api.conf.KieBaseOption... options)

    - #### build

          public org.kie.api.KieBase build​(java.lang.Class<? extends org.kie.api.builder.KieBuilder.ProjectType> projectType,
                                           org.kie.api.KieBaseConfiguration kieBaseConf)

    - #### getKieContainer

          public org.kie.api.runtime.KieContainer getKieContainer()

    - #### getKieContainer

          public org.kie.api.runtime.KieContainer getKieContainer​(java.lang.Class<? extends org.kie.api.builder.KieBuilder.ProjectType> projectType)

    - #### verify

          public org.kie.api.builder.Results verify()

    - #### setReleaseId

          public KieHelper setReleaseId​(org.kie.api.builder.ReleaseId releaseId)

    - #### setClassLoader

          public KieHelper setClassLoader​(java.lang.ClassLoader classLoader)

    - #### setKieModuleModel

          public KieHelper setKieModuleModel​(org.kie.api.builder.model.KieModuleModel kieModuleModel)

    - #### addContent

          public KieHelper addContent​(org.kie.api.definition.KieDescr descr)

    - #### addContent

          public KieHelper addContent​(java.lang.String content,
                                      org.kie.api.io.ResourceType type)

    - #### addContent

          public KieHelper addContent​(java.lang.String content,
                                      java.lang.String name)

    - #### addFromClassPath

          public KieHelper addFromClassPath​(java.lang.String name)

    - #### addFromClassPath

          public KieHelper addFromClassPath​(java.lang.String name,
                                            java.lang.String encoding)

    - #### addResource

          public KieHelper addResource​(org.kie.api.io.Resource resource)

    - #### addResource

          public KieHelper addResource​(org.kie.api.io.Resource resource,
                                       org.kie.api.io.ResourceType type)